using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace shuangyulin.Front
{
    public partial class Front_CourseInfo_QQ254540457_Details : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request["courseNumber"] != null)
                {
                    LoadData();
                }
            }
        }
        /*如果是需要对记录进行编辑需要在界面初始化显示数据*/
        private void LoadData()
        {
            if (!string.IsNullOrEmpty(Common.GetMes.GetRequestQuery(Request, "courseNumber")))
            {
                ENTITY.CourseInfo_QQ254540457 courseInfo_QQ254540457 = BLL.bllCourseInfo_QQ254540457.getSomeCourseInfo_QQ254540457(Common.GetMes.GetRequestQuery(Request, "courseNumber"));
                courseNumber.Text = courseInfo_QQ254540457.courseNumber;
                courseName.Text = courseInfo_QQ254540457.courseName;
            courseTeacher.Text = BLL.bllTeacher_QQ287307421.getSomeTeacher_QQ287307421(courseInfo_QQ254540457.courseTeacher).teacherName;
                courseTime.Text = courseInfo_QQ254540457.courseTime;
                coursePlace.Text = courseInfo_QQ254540457.coursePlace;
                courseScore.Text = courseInfo_QQ254540457.courseScore.ToString("0.00");
                courseMemo.Text = courseInfo_QQ254540457.courseMemo;
            }
        }
    }
}
